Bug 912357 - condor_configure_store - work with multiple items
condor_configure_store - work with multiple items
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
Development
Unspecified Unspecified
low Severity low
: 3.0
: ---
Assigned To: Robert Rati
MRG Quality Engineering
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-18 09:03 EST by Lubos Trilety
Modified: 2013-04-15 20:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: Trying to perform an action upon multiple entities with condor_configure_store where at least one of the entity names would produce an error because the entity does or does not exist as required by the action. Consequence: The condor_configure_store tool will print and error and not act on any of the entities. Workaround (if any): Re-run the condor_configure_store command with a list of entities that satisfy the requirements of the action. Result: Previous versions of condor_configure_store will print a notification of entities that violate the requirements of an action and continue with those are valid. This verion requires that all entities listed for an action be valid
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-05 14:43:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2013-02-18 09:03:06 EST
Description of problem:
When condor_configure_store add multiple items and some of them already exist, it ends with creation completely. Similar with editing when some of them don't exist.

Version-Release number of selected component (if applicable):
condor-wallaby-tools-5.0.5-1

How reproducible:
100%

Steps to Reproduce:
1. Add parameter to the store
# ccs -a -p PAR
Console Connection Established...
Adding the following parameter: PAR with {}
Modifying the following parameter: PAR with {:kind=>"", :description=>"", :default_val=>"", :needsRestart=>false, :level=>0, :must_change=>false}
Modifying the following parameter: PAR with {:annotation=>""}

2. try to add several parameters to the store including parameter PAR
# ccs -a -p PAR,PAR2
Console Connection Established...
fatal:  Parameter(s) PAR already exist

3. try to edit several parameters,some of them don't exist
# ccs -e -p PAR,PAR2
Console Connection Established...
fatal:  Parameter(s) PAR2 do not exist

  
Actual results:
The command ends completely

Expected results:
The tool continues to work with non problematic items

Additional info:

Note You need to log in before you can comment on or make changes to this bug.